#ifndef NBTMODIFIER_MAINWINDOW_H
#define NBTMODIFIER_MAINWINDOW_H

#include <QtWidgets/QMainWindow>

namespace Ui {
    class MainWindow;
}

/**
 * Main window of application
 */
class MainWindow : public QMainWindow {
Q_OBJECT

public:
    explicit MainWindow (QWidget *parent = nullptr);
    virtual ~MainWindow () override;

private:
    /**
     * Internal window design
     */
    Ui::MainWindow *m_ui;

    /**
     * Build the internal window design
     */
    void setupUi ();

private slots:
    /**
     * Open a file
     */
    void on_actionFileOpenFile_triggered ();

    /**
     * Display the "about" dialog
     */
    void on_actionHelpAboutNBTModifier_triggered ();
};

#endif //NBTMODIFIER_MAINWINDOW_H
