#ifndef NBTMODIFIER_TAGSTRING_H
#define NBTMODIFIER_TAGSTRING_H

#include "AbstractNamedTag.h"

#include <QtCore/QString>

class TagString : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 8;

    TagString (const QString &value = 0);

    const QString &value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    QString m_value;
};

#endif //NBTMODIFIER_TAGSTRING_H
