#ifndef NBTMODIFIER_TAGBYTEARRAY_H
#define NBTMODIFIER_TAGBYTEARRAY_H

#include "AbstractNamedTag.h"
#include "TagByte.h"

#include <QtCore/QList>

class TagByteArray : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 7;

    TagByteArray (const QList<TagByte> value = QList<TagByte>());

    const QList<TagByte> &value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    QList<TagByte> m_value;
};

#endif //NBTMODIFIER_TAGBYTEARRAY_H
