#ifndef NBTMODIFIER_TAGLIST_H
#define NBTMODIFIER_TAGLIST_H

#include "AbstractNamedTag.h"

#include <QtCore/QList>

class TagList : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 9;

    TagList (quint8 elementsId = 0, const QList<AbstractTag> value = QList<AbstractTag>());

    const quint8 elementsId () const;
    const QList<AbstractTag> &value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    quint8 m_elementsId;
    QList<AbstractTag> m_value;
};

#endif //NBTMODIFIER_TAGLIST_H
